io.etcd.jetcd

## Interface Watch

All Superinterfaces:
  AutoCloseable, CloseableClient

    public interface Watch
    extends CloseableClient

Interface of the watch client.

### Nested Class Summary

Nested Classes
`static interface` `Watch.Listener` Interface of Watcher.
`static interface` `Watch.Watcher`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`static Watch.Listener` `listener(Consumer<WatchResponse> onNext)`
`static Watch.Listener` `listener(Consumer<WatchResponse> onNext, Consumer<Throwable> onError)`
`static Watch.Listener` `listener(Consumer<WatchResponse> onNext, Consumer<Throwable> onError, Runnable onCompleted)`
`static Watch.Listener` `listener(Consumer<WatchResponse> onNext, Runnable onCompleted)`
`default Watch.Watcher` `watch(ByteSequence key, Consumer<WatchResponse> onNext)`
`default Watch.Watcher` `watch(ByteSequence key, Consumer<WatchResponse> onNext, Consumer<Throwable> onError)`
`default Watch.Watcher` `watch(ByteSequence key, Consumer<WatchResponse> onNext, Consumer<Throwable> onError, Runnable onCompleted)`
`default Watch.Watcher` `watch(ByteSequence key, Consumer<WatchResponse> onNext, Runnable onCompleted)`
`default Watch.Watcher` `watch(ByteSequence key, Watch.Listener listener)` watch on a key.
`default Watch.Watcher` `watch(ByteSequence key, WatchOption option, Consumer<WatchResponse> onNext)`
`default Watch.Watcher` `watch(ByteSequence key, WatchOption option, Consumer<WatchResponse> onNext, Consumer<Throwable> onError)`
`default Watch.Watcher` `watch(ByteSequence key, WatchOption option, Consumer<WatchResponse> onNext, Consumer<Throwable> onError, Runnable onCompleted)`
`default Watch.Watcher` `watch(ByteSequence key, WatchOption option, Consumer<WatchResponse> onNext, Runnable onCompleted)`
`Watch.Watcher` `watch(ByteSequence key, WatchOption option, Watch.Listener listener)` watch on a key with option.

### Methods inherited from interface io.etcd.jetcd.CloseableClient

`close`

### Method Detail

#### watch

    Watch.Watcher watch(ByteSequence key,
                        WatchOption option,
                        Watch.Listener listener)

watch on a key with option.

Parameters:
  `key` - key to be watched on.
  `option` - see `WatchOption`.
Throws:
  `io.etcd.jetcd.common.exception.ClosedClientException` - if watch client has been closed.

#### watch

    default Watch.Watcher watch(ByteSequence key,
                                Watch.Listener listener)

watch on a key.

Parameters:
  `key` - key to be watched on.
Throws:
  `io.etcd.jetcd.common.exception.ClosedClientException` - if watch client has been closed.

#### watch

    default Watch.Watcher watch(ByteSequence key,
                                Consumer<WatchResponse> onNext)

#### watch

    default Watch.Watcher watch(ByteSequence key,
                                Consumer<WatchResponse> onNext,
                                Consumer<Throwable> onError)

#### watch

    default Watch.Watcher watch(ByteSequence key,
                                Consumer<WatchResponse> onNext,
                                Consumer<Throwable> onError,
                                Runnable onCompleted)

#### watch

    default Watch.Watcher watch(ByteSequence key,
                                Consumer<WatchResponse> onNext,
                                Runnable onCompleted)

#### watch

    default Watch.Watcher watch(ByteSequence key,
                                WatchOption option,
                                Consumer<WatchResponse> onNext)

#### watch

    default Watch.Watcher watch(ByteSequence key,
                                WatchOption option,
                                Consumer<WatchResponse> onNext,
                                Consumer<Throwable> onError)

#### watch

    default Watch.Watcher watch(ByteSequence key,
                                WatchOption option,
                                Consumer<WatchResponse> onNext,
                                Runnable onCompleted)

#### watch

    default Watch.Watcher watch(ByteSequence key,
                                WatchOption option,
                                Consumer<WatchResponse> onNext,
                                Consumer<Throwable> onError,
                                Runnable onCompleted)

#### listener

    static Watch.Listener listener(Consumer<WatchResponse> onNext)

#### listener

    static Watch.Listener listener(Consumer<WatchResponse> onNext,
                                   Consumer<Throwable> onError)

#### listener

    static Watch.Listener listener(Consumer<WatchResponse> onNext,
                                   Runnable onCompleted)

#### listener

    static Watch.Listener listener(Consumer<WatchResponse> onNext,
                                   Consumer<Throwable> onError,
                                   Runnable onCompleted)